# set upstream name variable
%global srcname x3dh


Name:           python-x3dh
Version:        0.5.9
Release:        1%{?dist}
Summary:        Python implementation of the Extended Triple Diffie-Hellman key agreement protocol

License:        MIT
URL:            https://github.com/Syndace/%{name}
Source0:        https://github.com/Syndace/%{name}/archive/v%{version}-beta.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-cryptography
BuildRequires:  python3-xeddsa

%description
This python library offers an implementation of the Extended Triple
Diffie-Hellman key agreement protocol (X3DH)



%package     -n python3-x3dh
Summary:        Python implementation of the Extended Triple Diffie-Hellman key agreement protocol

%description -n python3-x3dh
This python library offers an implementation of the Extended Triple
Diffie-Hellman key agreement protocol (X3DH)



%prep
%autosetup -n %{name}-%{version}-beta


%build
%py3_build


%install
%py3_install


%check
# Unit tests perform DNS resolution and requires active Internet
# connection: disabling
##%{__python3} setup.py test



%files -n python3-%{srcname}
%license LICENSE
%doc README.md
# For noarch packages: sitelib
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/X3DH-0.5.9-py3.9.egg-info/



%changelog
* Thu Dec 10 2020 Matthieu Saulnier <fantom@fedoraproject.org> - 0.5.9-1
- Initial package
